## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel
Interface SybaseParameter

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Parameter, SQLObject, TypedElement

All Known Subinterfaces:
  SybaseASABaseParameter

All Known Implementing Classes:
  SybaseASABaseParameterImpl, SybaseASECatalogParameter, SybaseParameterImpl

    public interface SybaseParameter

extends Parameter

A representation of the model object 'Sybase Parameter'. This class is introduced to work around the problem mentioned in BZ129326. When the desired attributes are added in the base model, this class can be removed.

The following features are supported:

- `Nullable`
- `Default Value`
- `JDBC Parameter Type`

See Also:
  `SybasesqlmodelPackage.getSybaseParameter()`

Method Summary
`java.lang.String` `getDefaultValue()` Returns the value of the 'Default Value' attribute.
`JDBCParameterType` `getJDBCParameterType()` Returns the value of the 'JDBC Parameter Type' attribute.
`boolean` `isNullable()` Returns the value of the 'Nullable' attribute.
`void` `setDefaultValue(java.lang.String value)` Sets the value of the '`Default Value`' attribute.
`void` `setJDBCParameterType(JDBCParameterType value)` Sets the value of the '`JDBC Parameter Type`' attribute.
`void` `setNullable(boolean value)` Sets the value of the '`Nullable`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Parameter
`getMode, getRoutine, getStringTypeOption, isLocator, setLocator, setMode, setRoutine, setStringTypeOption`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isNullable

    boolean isNullable()

  Returns the value of the 'Nullable' attribute. The default value is `"true"`.

  If the meaning of the 'Nullable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nullable' attribute.
  See Also:
    `setNullable(boolean)`, `SybasesqlmodelPackage.getSybaseParameter_Nullable()`

### setNullable

    void setNullable(boolean value)

  Sets the value of the '`Nullable`' attribute.

  Parameters:
    `value` - the new value of the 'Nullable' attribute.
  See Also:
    `isNullable()`

### getDefaultValue

    java.lang.String getDefaultValue()

  Returns the value of the 'Default Value' attribute.

  If the meaning of the 'Default Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `setDefaultValue(String)`, `SybasesqlmodelPackage.getSybaseParameter_DefaultValue()`

### setDefaultValue

    void setDefaultValue(java.lang.String value)

  Sets the value of the '`Default Value`' attribute.

  Parameters:
    `value` - the new value of the 'Default Value' attribute.
  See Also:
    `getDefaultValue()`

### getJDBCParameterType

    JDBCParameterType getJDBCParameterType()

  Returns the value of the 'JDBC Parameter Type' attribute. The literals are from the enumeration `JDBCParameterType`.

  If the meaning of the 'JDBC Parameter Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'JDBC Parameter Type' attribute.
  See Also:
    `JDBCParameterType`, `setJDBCParameterType(JDBCParameterType)`, `SybasesqlmodelPackage.getSybaseParameter_JDBCParameterType()`

### setJDBCParameterType

    void setJDBCParameterType(JDBCParameterType value)

  Sets the value of the '`JDBC Parameter Type`' attribute.

  Parameters:
    `value` - the new value of the 'JDBC Parameter Type' attribute.
  See Also:
    `JDBCParameterType`, `getJDBCParameterType()`